import 'package:niogu_app/features/goods/units/domain/entities/unit.dart';

abstract class IUnitRepository {
  Stream<List<Unit>> watchUnits();

  Future<List<Unit>> fetchUnits();

  Future<Unit?> fetchUnitById(String id);

  Future<void> addUnit(Unit unit);

  Future<void> updateUnit(String id, String name);
}